GlyphData
Date: 2017-05-25

org.apache.fontbox.ttf

## Class GlyphData

- java.lang.Object
- - org.apache.fontbox.ttf.GlyphData

-     public class GlyphData
      extends java.lang.Object

  A glyph data record in the glyf table.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GlyphData()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BoundingBox` | `getBoundingBox()`
    `GlyphDescription` | `getDescription()` Returns the description of the glyph.
    `short` | `getNumberOfContours()`
    `java.awt.geom.GeneralPath` | `getPath()` Returns the path of the glyph.
    `short` | `getXMaximum()` Returns the xMax value.
    `short` | `getXMinimum()` Returns the xMin value.
    `short` | `getYMaximum()` Returns the yMax value.
    `short` | `getYMinimum()` Returns the yMin value.
    `void` | `initData(GlyphTable glyphTable, org.apache.fontbox.ttf.TTFDataStream data, int leftSideBearing)` This will read the required data from the stream.
    `void` | `setBoundingBox(BoundingBox boundingBoxValue)`
    `void` | `setNumberOfContours(short numberOfContoursValue)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GlyphData

          public GlyphData()

  - ### Method Detail

    - #### initData

          public void initData(GlyphTable glyphTable,
                      org.apache.fontbox.ttf.TTFDataStream data,
                      int leftSideBearing)
                        throws java.io.IOException

      This will read the required data from the stream.
      Parameters:
        `glyphTable` - The glyph table this glyph belongs to.
        `data` - The stream to read the data from.
        `leftSideBearing` - The left side bearing for this glyph.
      Throws:
        `java.io.IOException` - If there is an error reading the data.

    - #### getBoundingBox

          public BoundingBox getBoundingBox()

      Returns:
        Returns the boundingBox.

    - #### setBoundingBox

          public void setBoundingBox(BoundingBox boundingBoxValue)

      Parameters:
        `boundingBoxValue` - The boundingBox to set.

    - #### getNumberOfContours

          public short getNumberOfContours()

      Returns:
        Returns the numberOfContours.

    - #### setNumberOfContours

          public void setNumberOfContours(short numberOfContoursValue)

      Parameters:
        `numberOfContoursValue` - The numberOfContours to set.

    - #### getDescription

          public GlyphDescription getDescription()

      Returns the description of the glyph.
      Returns:
        the glyph description

    - #### getPath

          public java.awt.geom.GeneralPath getPath()

      Returns the path of the glyph.
      Returns:
        the path

    - #### getXMaximum

          public short getXMaximum()

      Returns the xMax value.
      Returns:
        the XMax value

    - #### getXMinimum

          public short getXMinimum()

      Returns the xMin value.
      Returns:
        the xMin value

    - #### getYMaximum

          public short getYMaximum()

      Returns the yMax value.
      Returns:
        the yMax value

    - #### getYMinimum

          public short getYMinimum()

      Returns the yMin value.
      Returns:
        the yMin value